<?php

namespace Drupal\sms_link_field\Plugin\Field\FieldType;

use Drupal\link\Plugin\Field\FieldType\LinkItem;
use Drupal\Core\Field\FieldDefinitionInterface;

/**
 * Plugin implementation of the 'sms_link' field type.
 *
 * @FieldType(
 *   id = "sms_link",
 *   label = @Translation("Link (with SMS support)"),
 *   description = @Translation("A link field that allows sms: URIs."),
 *   category = @Translation("General"),
 *   default_widget = "link_default",
 *   default_formatter = "sms_link_formatter"
 * )
 */
class SmsLinkItem extends LinkItem {

  /**
   * {@inheritdoc}
   */
  public static function getUriSchemes(FieldDefinitionInterface $field_definition = NULL) {
    // Add sms: to the list of supported URI schemes.
    return array_merge(parent::getUriSchemes(), ['sms']);
  }
}
